glab(1)

NAME
glab-alias-set - Set an alias for a longer command.

SYNOPSIS
glab alias set '' [flags]

DESCRIPTION
Declare a word as an alias for a longer command.

Use quotation marks when you define a command, as shown in the examples.

Your expansion can include arguments and flags. If your expansion includes positional placeholders such as $1 or $2, any extra arguments that follow the invocation of the alias are inserted into those placeholders.

To run an alias through sh, a shell converter, specify the --shell flag. With shell conversion, you can compose commands with | or redirect with >. Shell aliases have these caveats:

•   Extra arguments that follow the alias are not passed to the expansion. To accept arguments, use $1, $2, and so on.

•   To accept all arguments, use $@.

On Windows, shell aliases run through sh as installed by Git for Windows. If you installed Git in another way on Windows, shell aliases might not work.

OPTIONS
-s, --shell[=false]
    Declare an alias to be passed through a shell interpreter.

OPTIONS INHERITED FROM PARENT COMMANDS
-h, --help[=false]
    Show help for this command.

EXAMPLE
    # Define an alias for "mr view"
    glab alias set mrv 'mr view'
    # Run the alias; it expands to "glab mr view -w 123"
    glab mrv -w 123
    # Define an alias with a positional placeholder
    glab alias set createissue 'issue create --title "$1"'
    # Run the alias with an argument and an extra flag
    glab createissue "My Issue" --description "Something is broken."
    # Define a shell alias that pipes glab output to grep
    glab alias set --shell igrep 'glab issue list --assignee="$1" | grep $2'
    # Run the shell alias with two arguments
    glab igrep user foo

SEE ALSO
glab-alias(1)